Skip to main content
PUT
/
api
/
prompt-repo
/
sessions
/
{id}
/
rename
Error
A valid request URL is required to generate request examples
{
  "session": {
    "id": 123,
    "prompt_id": "<string>",
    "version_id": 123,
    "name": "<string>",
    "model_params": {},
    "provider": "<string>",
    "model": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "messages": [
      {
        "id": 123,
        "order_index": 123,
        "message": {}
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getbifrost.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication. Use your provider API key or Bifrost authentication token. Virtual keys (prefixed with sk-bf-) can also be passed here.

Path Parameters

id
integer
required

Session ID

Body

application/json
name
string
required

Response

Session renamed

session
object

Prompt playground session